const EXPRESS = require('express');
const ROUTER = EXPRESS.Router();
const BUS_STOPS_COUNT = require('../service/bus-stops-count');
const UTILS=require('../utils');

//GET listing
ROUTER.get('/', async function(req, res, next) {
    try {
	res.json(await BUS_STOPS_COUNT.get(req.query.oset, req.query.limit));
    } catch (err) {
	console.error(`Error while getting data: `, err.message);
	res.status(err.statusCode || 500).json(UTILS.MSGS.error);
    }
});

module.exports = ROUTER;
