-- colon before variable: for a prepared statement using named placeholders, this will be a parameter name of the form :name
CREATE SCHEMA IF NOT EXISTS :schema;
SET search_path to :schema, public;

DROP VIEW IF EXISTS :schema.vw_counties CASCADE;

CREATE OR REPLACE VIEW :schema.vw_counties AS
 SELECT planet_osm_polygon.osm_id,
    planet_osm_polygon.name,
    planet_osm_polygon.boundary,
    planet_osm_polygon.admin_level,
    planet_osm_polygon.way
   FROM planet_osm_polygon
  WHERE planet_osm_polygon.admin_level = '6'::text AND planet_osm_polygon.boundary = 'administrative'::text
ORDER BY planet_osm_polygon.admin_level, planet_osm_polygon.boundary, planet_osm_polygon.name;
