#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 3 ] ; then
    echo 'Call ./<script> <db name> <db user> <db schema>'
    exit 1
fi
#
DB_NAME="$1"
echo "DB_NAME: $DB_NAME"
DB_USER="$2"
echo "DB_USER: $DB_USER"
DB_SCHEMA="$3"
echo "DB_SCHEMA: ${DB_SCHEMA}"
#
psql -U $DB_USER -f ./sql/scripts/vw_counties.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/vw_municipalities.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/bus-stop.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/bike-ride.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/park-ride.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/poi.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/railway.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/taxi.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/ticket-office.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
psql -U $DB_USER -f ./sql/scripts/ticket-machine.sql -d $DB_NAME -v schema=$DB_SCHEMA
#
echo "Done."
#done.
