import React from 'react';
import { BrowserRouter as Router, Link, Route, Routes } from 'react-router-dom';

import Entity from './pages/entity';
import Header from './components/header';
import Home from './pages/home';

export default function App(){
    return (
	<div className='App'>
	    <Router>
		<Header />
		<Routes>
		    <Route path='/' element={<Home/>}/>
		    <Route path='/bike-ride' element={<Entity apiRoute='bike-ride/info' title='B+R Stations'/>}/>
		    <Route path='/park-ride' element={<Entity apiRoute='park-ride/info' title='P+R Stations'/>}/>
		    <Route path='/taxi' element={<Entity apiRoute='taxi/info' title='Taxi Stations'/>}/>
		    <Route path='/ticket-machine' element={<Entity apiRoute='ticket-machine/info' title='Ticket Machines'/>}/>
		    <Route path='/ticket-office' element={<Entity apiRoute='ticket-office/info' title='Ticket Offices'/>}/>
		    <Route path='/train-station' element={<Entity apiRoute='train-station/info' title='Train Stations'/>}/>
		</Routes>
	    </Router>
	</div>
    );
}
