import axios from 'axios';

import config from './config';

/*
 *get count of bus stops
 */
export async function getBusStopCount(){
    //console.log('getBusStopCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}bus-stop/count`;
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getBusStopCount() Done.');
    return count;
};

/*
 *get count of park and ride (P&R)
 */
export async function getParkRideCount(){
    //console.log('getParkRideCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}park-ride/count`;
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getParkRideCount() Done.');
    return count;
};

/*
 *get count of bike and ride (B&R)
 */
export async function getBikeRideCount(){
    //console.log('getBikeRideCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}bike-ride/count`;
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getBikeRideCount() Done.');
    return count;
};

/*
 *get count of train stations
 */
export async function getTrainStationCount(){
    //console.log('getTrainStationCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}train-station/count`;
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getTrainStationCount() Done.');
    return count;
};

/*
 *get count of taxi stations
 */
export async function getTaxiCount(){
    //console.log('getTaxiCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}taxi/count`;
	//console.log('getTaxiCount() address: ' + address);
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getTaxiCount() Done.');
    return count;
};

/*
 *get count of ticket machines
 */
export async function getTicketMachineCount(){
    //console.log('getTicketMachineCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}ticket-machine/count`;
	//console.log('getTicketMachineCount() address: ' + address);
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getTicketMachineCount() Done.');
    return count;
};

/*
 *get count of ticket offices
 */
export async function getTicketOfficeCount(){
    //console.log('getTicketOfficeCount() Start...');

    let count=null;
    try {
	//TODO handle errors: https://www.valentinog.com/blog/await-react/
	const address = `${config.API}ticket-office/count`;
	//console.log('getTicketOfficeCount() address: ' + address);
	const rsp = await axios.get(address);
	count = rsp.data[0][0];
    } catch (err) {
        console.error('err.message: ' + err.message);
    }
    //console.log('getTicketOfficeCount() Done.');
    return count;
};
